package org.apache.bcel.util;

import java.util.HashMap;
import org.apache.bcel.classfile.JavaClass;
import java.util.Map;

public class ClassPathRepository extends AbstractClassPathRepository
{
    private final Map<String, JavaClass> loadedClasses;
    
    public ClassPathRepository(final ClassPath classPath) {
        super(classPath);
        this.loadedClasses = new HashMap<String, JavaClass>();
    }
    
    @Override
    public void clear() {
        this.loadedClasses.clear();
    }
    
    @Override
    public JavaClass findClass(final String className) {
        return this.loadedClasses.get(className);
    }
    
    @Override
    public void removeClass(final JavaClass javaClass) {
        this.loadedClasses.remove(javaClass.getClassName());
    }
    
    @Override
    public void storeClass(final JavaClass javaClass) {
        this.loadedClasses.put(javaClass.getClassName(), javaClass);
        javaClass.setRepository(this);
    }
}
